[projects/pld-builder.new] Fail on relup (fractional releases), get_autotag failures. Fix config file error msg. Drop dead code

arekm arekm at pld-linux.org
Sun Apr 5 02:57:51 CEST 2026


commit b738d7123eb4627a52bb1de045b55503399865aa
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Sun Apr 5 02:57:45 2026 +0200

    Fail on relup (fractional releases), get_autotag failures. Fix config file error msg. Drop dead code.

 client/make-request.sh | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)
---
diff --git a/client/make-request.sh b/client/make-request.sh
index 99391c1..3470bcd 100755
--- a/client/make-request.sh
+++ b/client/make-request.sh
@@ -360,7 +360,11 @@ while [ $# -gt 0 ]; do
 			;;
 
 		--config-file)
-			[ -f "$2" ] && . $2 || die "Config file not found"
+			if [ -f "$2" ]; then
+				. $2 || die "Error sourcing config file: $2"
+			else
+				die "Config file not found: $2"
+			fi
 			shift
 			;;
 
@@ -693,12 +697,12 @@ done`
 
 if [ "$relup" = "yes" ]; then
 	msg "Auto relup enabled"
-	relup ${message:+-m "$message"} $specs
+	relup ${message:+-m "$message"} $specs || exit 1
 fi
 
 if [ "$autotag" = "yes" ]; then
 	msg "Auto autotag build enabled"
-	specs=$(get_autotag $specs)
+	specs=$(get_autotag $specs) || exit 1
 fi
 
 if [ "$df_fetch" = "yes" ]; then
@@ -746,11 +750,6 @@ if [ -z "$build_mode" ] ; then
 fi
 
 
-ok=
-for s in $specs; do
-	ok=1
-done
-
 if [ -z "$specs" -a -z "$command" ]; then
 	die "no packages to build or command to invoke specified"
 fi
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/projects/pld-builder.new.git/commitdiff/b738d7123eb4627a52bb1de045b55503399865aa



More information about the pld-cvs-commit mailing list